/////////////////////////////////////////////////////////////////////////////////////////
/////////////////////////                                     ////////////////////
/////////////////////////////////////////////////////////////////////////////////////////

/*#ifdef LANG_RUS
	char *rezult_text[]={
	"tmpdisk:   "w,
	"tmpdisk:  IOCTL,    ..."w,
	"tmpdisk:      0  9"w,
	"tmpdisk:     "w,
	"tmpdisk:     "w,
	"tmpdisk:   "w,
	"tmpdisk:   O_o"w,
	0};
#else*/
	char *rezult_text[]={
	"tmpdisk: operation compleated successfully",
	"tmpdisk: unknown IOCTL code, wrong input/output size...",
	"tmpdisk: DiskId must be from 0 to 9",
	"tmpdisk: DiskSize is too large",
	"tmpdisk: DiskSize is too small",
	"tmpdisk: memory allocation failed",
	"tmpdisk: unknown error O_o",
	0};
//#endif

void Console_Work()
{
	unsigned int disk_size, driver_rezult;

	strlwr(#param);
	
	switch (param[0])
	{
		case '?': //  
		case 'h':
			debug("tmpdisk command line parameters:");
			debug("a[number]s[size in MB] - add RAM disk");
			debug("d[number] - delete RAM disk");
			ExitProcess();
			break;
		case 'd': // 
			debug("tmpdisk: trying to delete disk");
			del_disk.DiskId = atoi(strchr(#param, 'd')+#param);
			ioctl.handle   = driver_handle;
			ioctl.io_code  = DEV_DEL_DISK;
			ioctl.input    = #del_disk;
			ioctl.inp_size = sizeof(del_disk);
			ioctl.output   = 0;
			ioctl.out_size = 0;
			break;
		case 'a': // 
			debug("tmpdisk: trying to add disk");
			disk_size= strchr(#param, 's');
			if (!disk_size)
			{
				debug("tmpdisk: disk size is not specified");
				debug("10% from free RAM will be used, new DiskSize in MB:");
				add_disk.DiskSize = GetFreeRAM() / 5;
				debug(itoa(add_disk.DiskSize/2048));
			}				
			else
				add_disk.DiskSize = atoi(#param+disk_size)*2048;
			
			param[disk_size-1]=NULL;
			add_disk.DiskId = atoi(strchr(#param, 'a')+#param);
			ioctl.handle   = driver_handle;
			ioctl.io_code  = DEV_ADD_DISK;
			ioctl.input    = #add_disk;
			ioctl.inp_size = sizeof(add_disk);
			ioctl.output   = 0;
			ioctl.out_size = 0;
			break;
		default:
			debug("tmpdisk: unknown command line parameters");
			debug("tmpdisk: use 'h' or '?' for help");
			ExitProcess();			
	}
	
	driver_rezult = RuleDriver(#ioctl);
	if (driver_rezult<7) debug(rezult_text[driver_rezult]);
}

